Bug 1071845 - tests failing on big endians
tests failing on big endians
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gsl (Show other bugs)
rawhide
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Frantisek Kluknavsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2014-03-03 05:00 EST by Dan Horák
Modified: 2014-05-16 03:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: gsl-1.16-13.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 03:01:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2014-03-03 05:00:19 EST
the poly test case started to fail on big endians like ppc and s390 with gsl version 1.16

from build.log:
...
Making check in poly
make[1]: Entering directory `/builddir/build/BUILD/gsl-1.16/poly'
make  test
make[2]: Entering directory `/builddir/build/BUILD/gsl-1.16/poly'
gcc -DHAVE_CONFIG_H -I. -I.. -I..    -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -march=z9-109 -mtune=z10 -fgnu89-inline -c test.c
/bin/sh ../libtool  --tag=CC   --mode=link gcc  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -march=z9-109 -mtune=z10 -fgnu89-inline  -Wl,-z,relro  -o test test.o libgslpoly.la ../ieee-utils/libgslieeeutils.la ../err/libgslerr.la ../test/libgsltest.la ../sys/libgslsys.la ../utils/libutils.la ../sort/libgslsort.la -lm 
libtool: link: gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -march=z9-109 -mtune=z10 -fgnu89-inline -Wl,-z -Wl,relro -o test test.o  ./.libs/libgslpoly.a -L/usr/lib64/atlas/ ../ieee-utils/.libs/libgslieeeutils.a ../err/.libs/libgslerr.a ../test/.libs/libgsltest.a ../sys/.libs/libgslsys.a ../utils/.libs/libutils.a ../sort/.libs/libgslsort.a -lm
make[2]: Leaving directory `/builddir/build/BUILD/gsl-1.16/poly'
make  check-TESTS
make[2]: Entering directory `/builddir/build/BUILD/gsl-1.16/poly'
make[3]: Entering directory `/builddir/build/BUILD/gsl-1.16/poly'
FAIL: test
make[4]: Entering directory `/builddir/build/BUILD/gsl-1.16/poly'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/builddir/build/BUILD/gsl-1.16/poly'
============================================================================
Testsuite summary for gsl 1.16
============================================================================
# TOTAL: 1
# PASS:  0
# SKIP:  0
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See poly/test-suite.log
============================================================================
make[3]: Leaving directory `/builddir/build/BUILD/gsl-1.16/poly'
make[3]: *** [test-suite.log] Error 1
make[2]: *** [check-TESTS] Error 2
make[2]: Leaving directory `/builddir/build/BUILD/gsl-1.16/poly'
make[1]: *** [check-am] Error 2
make[1]: Leaving directory `/builddir/build/BUILD/gsl-1.16/poly'
make: *** [check-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.ROnWFq (%check)


for full logs please see
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1690509
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1359000


Version-Release number of selected component (if applicable):
gsl-1.16-11.fc21
Comment 1 Dan Horák 2014-05-14 06:59:41 EDT
should be fixed in gsl-1.16-13.fc21 - I'll close this bug after a successful build on s390, ppc looks fine.

Note You need to log in before you can comment on or make changes to this bug.